External System Field Mappings
Create External System Field Mapping by External ID
Creates a new external System Field Mapping by External ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
external_id*string
Identifier assigned by an external system.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
field*|
Field value for this resource.
external_field_key*string
External Field Key value for this resource.
Length
1 <= lengthenabled?boolean
Enabled value for this resource.
Default
trueResponse Body
application/json
curl -X POST "https://api.getmateo.com/v1/external-systems/by/field-mappings?external_id=string" \ -H "Content-Type: application/json" \ -d '{ "field": { "kind": "native", "key": "full_name" }, "external_field_key": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_system_id": "496cacc4-1d36-4900-b9d2-89eefa7ce182", "entity": "contact", "field_kind": "native", "field_key": "string", "external_field_key": "string", "enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}